curl --request GET \
--url https://tms.universal.rollout.com/api/transaction-notes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Rollout-Credential-Id: <api-key>'import requests
url = "https://tms.universal.rollout.com/api/transaction-notes/{id}"
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Rollout-Credential-Id': '<api-key>'}
};
fetch('https://tms.universal.rollout.com/api/transaction-notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tms.universal.rollout.com/api/transaction-notes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tms.universal.rollout.com/api/transaction-notes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tms.universal.rollout.com/api/transaction-notes/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tms.universal.rollout.com/api/transaction-notes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"transactionId": "<string>",
"createdByUserId": "<string>",
"subject": "<string>",
"body": "<string>",
"isHtml": true,
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "Data for this credential is not ready yet. Please try again."
}Get Transaction Note
Requires transactionNotes: true in the credential’s entitiesToSync selection and a connector that supports this operation. Choose what data to sync, or fix an entity that is not configured to sync.
curl --request GET \
--url https://tms.universal.rollout.com/api/transaction-notes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Rollout-Credential-Id: <api-key>'import requests
url = "https://tms.universal.rollout.com/api/transaction-notes/{id}"
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Rollout-Credential-Id': '<api-key>'}
};
fetch('https://tms.universal.rollout.com/api/transaction-notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tms.universal.rollout.com/api/transaction-notes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tms.universal.rollout.com/api/transaction-notes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tms.universal.rollout.com/api/transaction-notes/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tms.universal.rollout.com/api/transaction-notes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"transactionId": "<string>",
"createdByUserId": "<string>",
"subject": "<string>",
"body": "<string>",
"isHtml": true,
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "Data for this credential is not ready yet. Please try again."
}Authorizations
Consumer JWT minted by the tenant's backend
The Rollout Credential ID to use for queries/mutations
Path Parameters
Query Parameters
Comma-separated top-level fields to return; the parameter can also be repeated, once per field. id is always returned. Omit it, or pass allFields, to get every field, including original. Unknown names return 400.
Response
Response for status 200
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes